---
title: "My Setup at Home (12/2021 update)"
tags: ['devices', 'self-hosting']
date: 2021-12-28T09:33:00.205309+00:00
aliases: ["/my-setup-at-home-12-2021-update"]
canonicalURL: "/my-setup-at-home-12-2021-update"
summary: Here's the tech I use at home and what for.
---
In this post, I'm presenting my updated setup at home. The [previous version]({{< ref "my-setup-at-home/" >}}) was from May 2020.

## 👨🏻‍💻 Desk

* MacBook Pro 15-inch 2017 (personal laptop)
    * development side projects
    * writing
    * office stuff
* MacBook Pro 15-inch 2019 (work laptop)
    * development, research
    * meetings
* Two 27-inch QHD displays (Dell P2720DC)
    * nice 3 monitors setup, including the laptop's display
    * I regret not [going 4K](https://tonsky.me/blog/monitors/) since I basically spend my days reading text.
* Thunderbolt dock ([CalDigit TS3+](https://www.caldigit.com/ts3-plus/))
* Standing desk (from [Autonomous](https://www.autonomous.ai))

## 📱 Mobility

* iPhone 13 Pro
    * reading (Miniflux, Wallabag)
    * media consumption (YouTube)
    * pictures
* iPad Air 3 & Apple Pencil
    * reading (Miniflux, Wallabag)
    * note-taking, annotating documents, sketching
    * accessing my recipes (I use [Paprika](https://www.paprikaapp.com/))
    * media consumption (Plex, YouTube)
    * writing, sometimes
* Kobo Libra H2O (e-ink reader)
    * reading (ePub books, Wallabag)

## 💾 Servers

* Raspberry Pi 4 model B, 8GB
    * Home Assistant
* Raspberry Pi 3 model B+
    * display for Home Assistant in the hall
* [Self-built server]({{< ref "replacing-my-synology-nas-with-a-self-built-server/" >}})
    * proxmox with one VM (for the moment)
    * host all my services in docker containers

## 🍿 Media

* Apple TV 4K
    * media consumption (Plex, Netflix, YouTube)
    * Apple Home hub (control HomeAssistant devices with Siri & Apple Home app)
* HomePod
    * play music through AirPlay or with Siri
    * answer Siri requests

## 🏡 Home

* a set of connected light bulbs, plugs and wall switches
    * automate some things like "don't kill your eyes in the bathroom at night but see where you pee during the day"

As you can see, I own quite the collection of Apple devices. They're not perfect of course and not open or hackable by any contemporary standard - which is kind of a bummer for me - but they play nicely together and are easy to use for me and my SO.

They are also quite low-maintenance, which means I can spend time on more fun projects like automating my Christmas decorations or adding a Raspberry Pi with a touch screen in my hall to provide a display for Home Assistant.
